<?php
	include_once("core/basededatos.php");
	include_once("core/Usuario.php");
	include_once("core/Paciente.php");
	include_once("core/Semana.php");
	include_once("core/Historia.php");
	include_once("core/Recibo.php");
	include_once("core/Factura.php");
	include_once("core/Cita.php");
	include_once("core/Fotografia.php");
	session_start();	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=ISO-8859-1" />
<link type="text/css" rel="stylesheet" media="all" href="../style.css"/>
<link rel="shortcut icon" type="image/x-icon" href="../favicon.ico">
<!-- include jQuery library -->
<script type="text/javascript" src="../js/jquery.js"></script>
<script type="text/javascript" src="../js/vanadium.js"></script>

<title>CECOM - Centro de Cirugía Oral y Maxilofacial - La Paz B.C.S.</title>
</head>
<body>
	<?
		$id = $_GET['id'];
		if (!$_SESSION['ObjetoUsuario']) { ?>
			 <script language="javascript">window.location="consultorio.php";</script>
		<?php
        } else {
			$usuario = $_SESSION['ObjetoUsuario'];
			$usuario->acceso($id);
		}
		
		$paciente = new Paciente();
		$paciente->id = $_GET['Pac'];
		$paciente->obtenerdatos();
		$_SESSION['ObjetoPaciente'] = $paciente;
		$valor=$paciente->obtenerFiscal();
		
		if($_POST['modificar'])
		{
			$paciente->nombrefiscal=$_POST['txt_nombre'];
			$paciente->rfc=$_POST['txt_rfc'];
			$paciente->domiciliofiscal=$_POST['txt_domicilio'];
			$paciente->ModificarFiscal();
			?>
			<script language="javascript">
				document.location.href="pagos.php?id=<?php echo $_GET['id']; ?>";
			</script>
			<?php
		}
		
		if($_POST['agregar'])
		{
			$paciente->nombrefiscal=$_POST['txt_nombre'];
			$paciente->rfc=$_POST['txt_rfc'];
			$paciente->domiciliofiscal=$_POST['txt_domicilio'];
			$paciente->AgregarFiscal();
			?>
			<script language="javascript">
				document.location.href="pagos.php?id=<?php echo $_GET['id']; ?>";
			</script>
			<?php
		}
		
		$valor=$paciente->obtenerFiscal();
	?>
    <div align="center">
    	<div id="container">
        	<div id="cuerpo">
            <!--- Header --->
                <div id="arribapagina"></div>
                <div id="arriba">
                    <div id="fondo_izq"></div>
                    <div id="logo"><img alt="cecom" src="../img/logo_CECOM.jpg" width="400" height="150" /></div>
                    <div id="fondo_izq_sistema"><h2 align="center">Sistema Consultorio</h2>
                    	<div id="menu_sistema"><a class="item_menu" href="pagos.php?id=<?php echo $id; ?>">- Regresar</a> <a class="item_menu" href="menu.php?id=<?php echo $id; ?>&date=<?php echo time(); ?>">- Ir a Calendario</a> <a class="item_menu_exit" href="consultorio.php">- Salir</a></div>
                    </div>
                    
                </div>
                <div id="separacion_linea"></div>
                
            <!---Cuerpo--->           
            <div id="cuerpo_sistema">              
				<h3>Datos Fiscales</h3>  
				<form method="post">
				<table width="100%" border="0">
					<tr class="dos">
						<td align="left" width="200px"><b>Nombre:</b></b></td>
						<td align="left"><input type="text" name="txt_nombre" value="<?php echo $paciente->nombrefiscal; ?>" size="60"></td>
					</tr>
					<tr class="uno">
						<td align="left" width="200px"><b>RFC:</b></b></td>
						<td align="left"><input type="text" name="txt_rfc" value="<?php echo $paciente->rfc; ?>"></td>
					</tr>
					<tr class="dos">
						<td align="left"><b>Domicilio Fiscal:</b></td>
						<td align="left"><input type="text" name="txt_domicilio" value="<?php echo $paciente->domiciliofiscal; ?>" size="100"></td>
					</tr>
					<tr class="uno" align="center">
						<?php
						if($valor)
						{
							?>
							<td colspan="2"><input type="submit" name="modificar" value="Modificar"></td>
							<?php
						}
						else
						{
							?>
							<td colspan="2"><input type="submit" name="agregar" value="Agregar"></td>
							<?php
						}
						?>
					</tr>
				</table>   
				</form>                                     
            </div>
            <?php
            $recibo=new Recibo();
            $recibo->id_paciente=$_GET['Pac'];
            $resultadolista=$recibo->ObtenerListaRecibos();
            if($resultadolista)
            {
            ?>  
				<div id="cuerpo_sistema">
					<h3>Tabla de Recibos</h3>
					<table width="70%" border="0">
						<THEAD>
							<th class="tablah">FECHA</th><th class="tablah">CONCEPTO</th><th class="tablah">CANTIDAD</th>
						</THEAD>
						<?php
						$contador=2;						
						while($arreglo=mysql_fetch_array($resultadolista))
						{
							if(($contador%2)==0)
							{
								?>
								<tr class="uno">
								<?php
							}
							else
							{
								?>
								<tr class="dos">
								<?php
							}
							?>
							<td align="center"><?php echo $arreglo[5]; ?></td><td><?php echo $arreglo[3]; ?></td><td align="right"><?php echo "$ ".number_format($arreglo[4],2); ?></td>
							</tr>
							<?php
							$contador++;
						}
						?>
					</table>
				</div>            
            <?php
			}
            ?>
            <?php
            $factura=new Factura();
            $factura->id_paciente=$_GET['Pac'];
            $resultadolista=$factura->ObtenerListaFacturas();
            if($resultadolista)
            {
            ?>  
				<div id="cuerpo_sistema">
					<h3>Tabla de Facturas</h3>
					<table width="80%" border="0">
						<THEAD>
							<th class="tablah">FECHA</th><th class="tablah">NUMERO</th><th class="tablah">CONCEPTO</th><th class="tablah">TOTAL</th>
						</THEAD>
						<?php
						$contador=2;						
						while($arreglo=mysql_fetch_array($resultadolista))
						{
							if(($contador%2)==0)
							{
								?>
								<tr class="uno">
								<?php
							}
							else
							{
								?>
								<tr class="dos">
								<?php
							}
							?>
							<td align="center"><?php echo $arreglo[7]; ?></td><td align="center"><?php echo $arreglo[0]; ?></td><td><?php echo $arreglo[3]; ?></td><td align="right"><?php echo "$ ".number_format($arreglo[4],2); ?></td>
							</tr>
							<?php
							$contador++;
						}
						?>
					</table>
				</div>            
            <?php
			}
            ?>
            <!--Pie-->    
        	<div id="footer">
            <p>CECOM Centro de Cirugía Oral y Maxilofacial></p>
            </div>
       </div>
	</div>
</body>
</html>
